DataRange.Paging (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class DataRange.Paging

- java.lang.Object
- - org.apache.cassandra.db.DataRange
  - - org.apache.cassandra.db.DataRange.Paging

- Enclosing class:
    DataRange

      public static class DataRange.Paging
      extends DataRange

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.DataRange

      `DataRange.Paging`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.DataRange

      `columnFilter, keyRange, selectFullRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Paging(AbstractBounds<RowPosition> range, SliceQueryFilter filter, Composite columnStart, Composite columnFinish, CFMetaData cfm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDiskAtomFilter` | `columnFilter(java.nio.ByteBuffer rowKey)` Returns a column filter that should be used for a particular row key.
    `boolean` | `selectsFullRowFor(java.nio.ByteBuffer rowKey)`
    `java.lang.String` | `toString()`
    `void` | `updateColumnsLimit(int count)` Sets a new limit on the number of (grouped) cells to fetch.

    - ### Methods inherited from class org.apache.cassandra.db.DataRange

      `allData, contains, forKeyRange, forTokenRange, getLiveCount, ignoredTombstonedPartitions, isFullRowSlice, isWrapAround, keyRange, startKey, stopKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Paging

          public Paging(AbstractBounds<RowPosition> range,
                        SliceQueryFilter filter,
                        Composite columnStart,
                        Composite columnFinish,
                        CFMetaData cfm)

  - ### Method Detail

    - #### selectsFullRowFor

          public boolean selectsFullRowFor(java.nio.ByteBuffer rowKey)

      Overrides:
        `selectsFullRowFor` in class `DataRange`

    - #### columnFilter

          public IDiskAtomFilter columnFilter(java.nio.ByteBuffer rowKey)

      Description copied from class: `DataRange`
      Returns a column filter that should be used for a particular row key. Note that in the case of paging, slice starts and ends may change depending on the row key.
      Overrides:
        `columnFilter` in class `DataRange`

    - #### updateColumnsLimit

          public void updateColumnsLimit(int count)

      Description copied from class: `DataRange`
      Sets a new limit on the number of (grouped) cells to fetch. This is currently only used when the query limit applies to CQL3 rows.
      Overrides:
        `updateColumnsLimit` in class `DataRange`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation